<!DOCTYPE html>
<html class="writer-html5" lang="pt-br" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Análise técnica dos sistemas da Secretaria de Educação da Prefeitura do Recife. &mdash; Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife. 1.0.0 documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/sphinxcontrib-images/LightBox2/lightbox2/dist/css/lightbox.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/sphinxcontrib-images/LightBox2/lightbox2/dist/js/lightbox-plus-jquery.min.js"></script>
        <script src="_static/sphinxcontrib-images/LightBox2/lightbox2-customize/jquery-noconflict.js"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="GEQT - Sistema de Gestão de Equipamentos" href="sistemas/pedagogicos/geqt.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="#" class="icon icon-home"> Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/geqt.html">GEQT - Sistema de Gestão de Equipamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/matricula.html">Matrícula Online</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/sadr.html">SADR - Sistema de avaliação diagnóstica</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html">SDCL - Sistema de Diário de Classe</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/segm.html">SEGM - Sistema de Gestão de Merendas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/segp.html">SEGP - Sistema de Gestão de Pessoas</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sistemas/administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a></li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="conclus%C3%A3o.html">Conclusão</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">Arquitetura da Informação - Secretaria de educação da Prefeitura de Recife.</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home"></a> &raquo;</li>
      <li>Análise técnica dos sistemas da Secretaria de Educação da Prefeitura do Recife.</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="analise-tecnica-dos-sistemas-da-secretaria-de-educacao-da-prefeitura-do-recife">
<h1>Análise técnica dos sistemas da Secretaria de Educação da Prefeitura do Recife.<a class="headerlink" href="#analise-tecnica-dos-sistemas-da-secretaria-de-educacao-da-prefeitura-do-recife" title="Permalink to this headline"></a></h1>
<p>A Secretaria de Educação da Prefeitura do Recife possui diversos sistemas para suprir diferentes
demandas internas. A <a class="reference external" href="https://www.emprel.gov.br/">Emprel</a>, empresa municipal que presta serviço
para o Órgão, é a responsável pela manutenção e infraestrutura desses sistemas.
Para dar vasão a diferentes demandas internas, a empresa <a class="reference external" href="https://stefanini.com/pt-br">Stephanini</a>
foi contratada para atuar como Fábrica de Software e desenvolver novos projetos para a Secretaria.
Como atua apenas no desenvolvimento, existe uma relação com a Emprel para disponibilizar o que é
desenvolvido nos ambientes de produção e homologação. Atualmente, existem sistemas voltados para a
atividade docente, controle do parque tecnológico, gestão de pessoas, avaliação pedagógica entre
outros.</p>
<p>A camada de gestão da Secretaria, que precisa atender tanto aos usuários quanto as
esferas superiores, não possui uma visão geral e estratégica
de quais funcionalidades cada sistema possui, quem são os principais atores envolvidos no
uso e como os sistemas estão interligados. Além dos problemas técnicos,
a Secretaria não possui nenhuma documentação que consolide informações
básicas de escopo como: principais funcionalidades, perfis de usuário, comunicação entre os
sistemas (interoperabilidade) e armazenamento dos dados. Para entender o que um sistema faz é
necessário consultar servidores da rede que conheçam o sistema a fundo.</p>
<p>É nesse contexto que este relatório foi produzido. Nosso principal objetivo é munir a camada
de gestão com informações técnicas sobre os sistemas e suas conecções. Com essas informações, os
servidores  conseguirão entender como e por quem os sistemas são utilizados, as principais
dificuldades dos usuários, funcionalidades repetidas ou obsoletas, aonde os dados são armazendos e,
principalmente, poderão ter uma visão de como os sistemas funcionam em conjunto.</p>
<section id="sistemas">
<h2>Sistemas<a class="headerlink" href="#sistemas" title="Permalink to this headline"></a></h2>
<p>Os sistemas que serão objeto de análise são mantidos e hospedados pela Emprel. Este
relatório será construído a partir de entrevistas e questionários feitos com os servidores
escolhidos para atuarem como facilitadores. Não teremos acesso ao código fonte de nenhum sistema,
muito menos a infraestrutura ou máquinas virtuais em que os sistemas são disponibilizados. O
diagrama a seguir, apresenta como será nosso processo de trabalho:</p>
<a class=""
               data-lightbox="group-5aee6b00-7819-4671-b886-f9eab8e9244a"
               href="_images/11.png"
               title=""
               data-title=""
               
               ><img src="_images/11.png"
                     class=""
                     width="100%"
                     height="auto"
                     alt=""/>
                </a><p>O cronograma de trabalho pode ser acessado <a class="reference external" href="https://gitlab.com/pencillabs/institutogesto/secretariaderecife/-/wikis/Reformula%C3%A7%C3%A3o-do-cronograma-inicial">nesse link</a>.</p>
<table class="colwidths-given docutils align-default" id="id1">
<caption><span class="caption-text">Lista de sistemas avaliados</span><a class="headerlink" href="#id1" title="Permalink to this table"></a></caption>
<colgroup>
<col style="width: 25%" />
<col style="width: 25%" />
<col style="width: 25%" />
<col style="width: 25%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Sistema</p></th>
<th class="head"><p>Link homologação</p></th>
<th class="head"><p>Acesso homologação</p></th>
<th class="head"><p>Link produção</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>SEMEWEB - Sistema de Cadastro Escolar</p></td>
<td><p>www.recife.pe.gov.br/semewebtreinamento</p></td>
<td><p>Web</p></td>
<td><p>www.recife.pe.gov.br/matricula</p></td>
</tr>
<tr class="row-odd"><td><p>SEGE- Sistema de Gestão Escolar</p></td>
<td><p><a class="reference external" href="http://bacurauh.recife:8080/sege">http://bacurauh.recife:8080/sege</a></p></td>
<td><p>VPN</p></td>
<td><p><a class="reference external" href="http://gestaoescolar.recife.pe.gov.br/">http://gestaoescolar.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-even"><td><p>SDCL - Sistema Diário de Classe On-line</p></td>
<td><p><a class="reference external" href="http://setubalh.recife:8080/diariodeclasse">http://setubalh.recife:8080/diariodeclasse</a></p></td>
<td><p>VPN</p></td>
<td><p><a class="reference external" href="http://diariodeclasse.recife.pe.gov.br/">http://diariodeclasse.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-odd"><td><p>SAAP - Sistema de Acompanhamento de Ações Pedagógicas</p></td>
<td><p><a class="reference external" href="http://setubalh.recife:8081/saap">http://setubalh.recife:8081/saap</a></p></td>
<td><p>VPN</p></td>
<td><p><a class="reference external" href="https://saap.recife.pe.gov.br/">https://saap.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-even"><td><p>SEGM - Sistema de Alimentação Escolar</p></td>
<td><p><a class="reference external" href="http://setubalh.recife:8080/merenda">http://setubalh.recife:8080/merenda</a></p></td>
<td><p>VPN</p></td>
<td><p><a class="reference external" href="https://merenda.recife.pe.gov.br/">https://merenda.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-odd"><td><p>SEGP - Sistema de Gestão de Pessoas</p></td>
<td><p><a class="reference external" href="http://bacurauh.recife:8080/segp">http://bacurauh.recife:8080/segp</a></p></td>
<td><p>VPN</p></td>
<td><p>Sem ambiente</p></td>
</tr>
<tr class="row-even"><td><p>Matrícula Online</p></td>
<td><p><a class="reference external" href="https://matriculaonline-dev.recife.pe.gov.br/">https://matriculaonline-dev.recife.pe.gov.br/</a></p></td>
<td><p>Web</p></td>
<td><p><a class="reference external" href="https://matriculaonline.recife.pe.gov.br/">https://matriculaonline.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-odd"><td><p>SEINFRA - Planejamento de vagas e capacidade instalada</p></td>
<td><p>Sem ambiente</p></td>
<td><ul class="simple">
<li></li>
</ul>
</td>
<td><p><a class="reference external" href="http://infrarede.recife.pe.gov.br/">http://infrarede.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-even"><td><p>SADR - Sistema de Avaliação diagnóstica da Rede</p></td>
<td><p><a class="reference external" href="http://cohab.recife/pr/seducacao/sadr/">http://cohab.recife/pr/seducacao/sadr/</a></p></td>
<td><p>VPN</p></td>
<td><p>www.recife.pe.gov.br/sadr</p></td>
</tr>
<tr class="row-odd"><td><p>GEQT - Sistema de Gestão de Equipamentos</p></td>
<td><p><a class="reference external" href="http://setubalh.recife:8081/localizacao/">http://setubalh.recife:8081/localizacao/</a></p></td>
<td><p>VPN</p></td>
<td><p><a class="reference external" href="http://gestaoequipamentos.recife.pe.gov.br/">http://gestaoequipamentos.recife.pe.gov.br/</a></p></td>
</tr>
<tr class="row-even"><td><p>Consist - Sistema de Folha de Pagamento</p></td>
<td><p>sem acesso</p></td>
<td><p>sem acesso</p></td>
<td><p>sem acesso</p></td>
</tr>
<tr class="row-odd"><td><p>SOFIN - Sistema de Controle Orçamentário e Financeiro</p></td>
<td><p>sem acesso</p></td>
<td><p>sem acesso</p></td>
<td><p>sem acesso</p></td>
</tr>
</tbody>
</table>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Sistemas pedagógicos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/geqt.html">GEQT - Sistema de Gestão de Equipamentos</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/geqt.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/geqt.html#principais-funcionalidades">Principais funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/geqt.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/matricula.html">Matrícula Online</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#principais-funcionalidades">Principais Funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#arquitetura-da-informacao">Arquitetura da Informação</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#modelagem-de-casos-de-uso">Modelagem de casos de uso</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#autenticacao-e-acesso">Autenticação e acesso</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/matricula.html#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/saap.html">SAAP - Sistema de Acompanhamento de Ações Pedagógicas</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/saap.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/saap.html#principais-funcionalidades">Principais Funcionalidades</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/sadr.html">SADR - Sistema de avaliação diagnóstica</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sadr.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sadr.html#principais-funcionalidades">Principais funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sadr.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html">SDCL - Sistema de Diário de Classe</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html#principais-funcionalidades">Principais Funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/sdcl.html#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/segm.html">SEGM - Sistema de Gestão de Merendas</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segm.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segm.html#principais-funcionalidades">Principais Funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segm.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segm.html#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/segp.html">SEGP - Sistema de Gestão de Pessoas</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segp.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segp.html#principais-funcionalidades">Principais funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/segp.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html">SEINFRA - Sistema de Gerenciamento da Capacidade Instalada</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html#principais-funcionalidades">Principais Funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html#arquitetura-da-informacao">Arquitetura da Informação</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html#autenticacao-e-acesso">Autenticação e acesso</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/seinfra.html#referencias">Referências</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html">SEMEWEB/SEGE - Sistema de Gestão Escolar</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html#perfis-de-usuario">Perfis de usuário</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html#principais-funcionalidades">Principais Funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html#requisitos-e-arquitetura-de-software">Requisitos e Arquitetura de Software</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html#sege">SEGE</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html#id1">Principais Funcionalidades</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/pedagogicos/semeweb.html#referencias">Referências</a></li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Sistemas administrativos</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sistemas/administrativos/consist.html">Consist - Sistema de Folha de Pagamentos</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/administrativos/consist.html#principais-funcionalidades">Principais funcionalidades</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sistemas/administrativos/sofin.html">SOFIN - Sistema de Controle Orçamentário e Financeiro</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sistemas/administrativos/sofin.html#principais-modulos">Principais módulos</a></li>
<li class="toctree-l2"><a class="reference internal" href="sistemas/administrativos/sofin.html#uso-do-sofin-pela-da-secretaria">Uso do SOFIN pela da Secretaria</a></li>
</ul>
</li>
</ul>
</div>
<div class="toctree-wrapper compound">
<p class="caption" role="heading"><span class="caption-text">Conclusão</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="conclus%C3%A3o.html">Conclusão</a><ul>
<li class="toctree-l2"><a class="reference internal" href="conclus%C3%A3o.html#diagrama-geral">Diagrama geral</a></li>
<li class="toctree-l2"><a class="reference internal" href="conclus%C3%A3o.html#conclusao-das-analises">Conclusão das análises</a></li>
<li class="toctree-l2"><a class="reference internal" href="conclus%C3%A3o.html#plano-de-acao">Plano de Ação</a></li>
</ul>
</li>
</ul>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="sistemas/pedagogicos/geqt.html" class="btn btn-neutral float-right" title="GEQT - Sistema de Gestão de Equipamentos" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2021, Pencillabs.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>